pico-8 cartridge // http://www.pico-8.com
version 18
__lua__
-- buzzsaw cat
-- by dps2004



function _init()
	player = {x=0,y=0,ox = 0, oy = 0, i = 0,f=false,sprite = 1,animcooldown = 0,speed = 1,cooldown = 0, reset = false,binvuln=0}
	boss = {x=60,y=60,f=false,hp=10,sprite=14,walki=0,phase=0,ai = 10}
	saws = {}
	level = 0
	levelsetup(0)
	state = "ld"
	titlei = 0
	projectile = {x=120,y=120,i=0,ox=120,oy=120,active = false,visible = true}
	starttime = 0
	bossfinishtime = 0
	startboss = false
	deaths = 0
	bsaws = {}
end
function ease(framedur,frame,start,target)
	return(start + (((target - start) / framedur) * frame))
end
function spawnbsaw(x,y,xs,ys,life)
	bs={}
	bs.x = x
	bs.y = y
	bs.xs = xs
	bs.ys = ys
	bs.f = false
	bs.d = 2
	bs.life = life
	add(bsaws,bs)
end


function levelsetup(level)
	-- here all the levels are stored
	if level == 0 then
		music(14)
	elseif level == 1 then
		music(0)
		spawnsaw(60,60,60,60,30,8) --saw 1
	elseif level == 2 then
		modsaw(1,60,0,60,120,30)
	elseif level == 3 then
		spawnsaw(0,60,120,60,30,8) --saw 2
		modsaw(1,60,0,60,120,30)
	elseif level == 4 then
		modsaw(1,16,0,120,104,10)
		modsaw(2,104,120,0,16,10)
		spawnsaw(120,0,0,120,15,8)	--saw 3
	elseif level == 5 then
		delsaw(1)
		delsaw(2)
		delsaw(3)
		spawnsaw(48,0,48,96,20,32) --saw 4
	elseif level == 6 then
		modsaw(4,48,48,48,48,20)
		spawnsaw(60,0,60,60,8,8) --saw 5
		spawnsaw(0,60,60,60,8,8) --saw 6
		spawnsaw(60,120,60,60,8,8) --saw 7
		spawnsaw(120,60,60,60,8,8) --saw 8
	elseif level == 7 then
		delsaw(4)
		modsaw(5,8,0,8,120,30)
		modsaw(6,24,0,24,120,25)
		modsaw(7,40,0,40,120,20)
		modsaw(8,56,0,56,120,15)
		spawnsaw(72,0,72,120,10,8) -- saw 9
		spawnsaw(88,0,88,120,15,8) --saw 10
		spawnsaw(104,0,104,120,20,8) --saw 11
		spawnsaw(120,0,120,120,25,8) --saw 12
	elseif level == 8 then
		delsaw(5)
		delsaw(6)
		delsaw(7)
		delsaw(8)
		delsaw(9)
		delsaw(10)
		delsaw(11)
		spawnsaw(8,0,8,52,15,16) -- saw 13
		spawnsaw(8,112,8,68,15,16) -- saw 14
		spawnsaw(24,0,24,52,15,16) -- saw 15
		spawnsaw(24,112,24,68,15,16) -- saw 16
		spawnsaw(40,52,40,0,15,16) -- saw 17
		spawnsaw(40,68,40,112,15,16) -- saw 18	
		spawnsaw(56,52,56,0,15,16) -- saw 19
		spawnsaw(56,68,56,112,15,16) -- saw 20			
		spawnsaw(72,0,72,52,15,16) -- saw 21
		spawnsaw(72,112,72,68,15,16) -- saw 22
		spawnsaw(88,0,88,52,15,16) -- saw 23
		spawnsaw(88,112,88,68,15,16) -- saw 24
		spawnsaw(104,52,104,0,15,16) -- saw 25
		spawnsaw(104,68,104,112,15,16) -- saw 26	
		modsaw(12,120,0,120,120,20)
	elseif level == 9 then
		delsaw(12)
		delsaw(13)
		delsaw(14)
		delsaw(15)
		delsaw(16)
		delsaw(17)
		delsaw(18)
		delsaw(19)
		delsaw(20)
		delsaw(21)
		delsaw(22)
		delsaw(23)
		delsaw(24)
		delsaw(25)
		delsaw(26)
		music(14)
	end
end
function delsaw(n)
	s=saws[n]
	s.x1 = s.x
	s.y1 = 0 - s.size
	s.x2 = s.x
	s.y2 = s.y1
end
function modsaw(n,x1,y1,x2,y2,sp)
	s=saws[n]

	s.ox = s.x
	s.oy = s.y
	s.pos = 3
	s.x1 = x1
	s.y1 = y1
	s.x2 = x2
	s.y2 = y2
	s.sp = sp
	s.i = 0

	
end
function spawnsaw(x1,y1,x2,y2,sp,size)
	s={}
	s.pos = 0
	s.i = 0
	s.x = x1
	s.y = 0 - size
	s.del = false
	s.ox = x1
	s.oy = s.y
	s.x1 = x1
	s.y1 = y1
	s.x2 = x2
	s.y2 = y2
	s.sp = sp
	s.size = size
	s.b = 0
	s.d = 0
	s.f = false
	
	add(saws,s)
end
function updatesaw(s)
	s.i += 1
	--pain went here
	if s.pos == 0 then
	
		if s.i > 15 then
			s.i = 0
			s.ox = s.x1
			s.oy = s.y1
			s.pos = 2
		else
			s.x = ease(15,s.i,s.ox,s.x1)
			s.y = ease(15,s.i,s.oy,s.y1)
		end
	elseif s.pos == 2 then
		if s.i > s.sp then
			s.i = 0
			s.ox = s.x2
			s.oy = s.y2
			s.pos = 1
		else
			s.x = ease(s.sp,s.i,s.ox,s.x2)
			s.y = ease(s.sp,s.i,s.oy,s.y2)
		end
	elseif s.pos == 1 then
		if s.i > s.sp then
			s.i = 0
			s.ox = s.x1
			s.oy = s.y1
			s.pos = 2
		else
			s.x = ease(s.sp,s.i,s.ox,s.x1)
			s.y = ease(s.sp,s.i,s.oy,s.y1)
		end
	elseif s.pos == 3 then
		if s.i > 15 then
			s.i = 0
			s.ox = s.x1
			s.oy = s.y1
			s.pos = 2
		else
			s.x = ease(15,s.i,s.ox,s.x1)
			s.y = ease(15,s.i,s.oy,s.y1)
		end
	end
end
function drawsaw(s)
	s.d -= 1
	if s.d < 0 then
		s.d = 2 
		if s.f then
			s.f = false
		else
			s.f = true
		end
	end
	sspr(24 + s.b,0,8,8,s.x,s.y,s.size,s.size,s.f)
end
function drawbsaw(bs)
	bs.d -=1
	if bs.d < 0 then
		bs.d = 2
			if bs.f then
				bs.f = false
			else
				bs.f = true
			end
		end
	spr(8,bs.x,bs.y,1,1,bs.f)
end
function updatebsaw(bs)
	bs.x += bs.xs
	bs.y += bs.ys
	bs.life -= 1
	if bs.life < 0 then
		del(bsaws,bs)
	end
end
function bcollide(bs)
	if player.reset == false and player.binvuln < 0 then
		if player.x >= (bs.x - 6) and player.x <= (bs.x + 8 - 2) then
			if player.y >= (bs.y - 5) and player.y <= (bs.y + 8  - 5) then
				if player.speed !=1 then
					sfx(2)
				else
					deaths += 1
					player.reset = true
					player.i = 0
					player.binvuln = 30
					player.ox = player.x
					player.oy = player.y
					sfx(0)
				end
			end
		end
	end
end
function bosscollide()
	if player.reset == false and player.binvuln < 0 and boss.phase != 5 then
		if player.x >= (boss.x - 5) and player.x <= (boss.x + 7 - 2) then
			if player.y >= (boss.y - 3) and player.y <= (boss.y + 5) then
				if player.speed !=1 then
					sfx(2)
				else
					deaths += 1
					player.reset = true
					player.i = 0
					player.binvuln = 30
					player.ox = player.x
					player.oy = player.y
					sfx(0)
				end
			end
		end
	end
end
function collide(s)
	if player.reset == false then
		if player.x >= (s.x - 6) and player.x <= (s.x + s.size - 2) then
			if player.y >= (s.y - 5) and player.y <= (s.y + s.size  - 5) then
				if player.speed !=1 then
					sfx(2)
				else
					s.b = 8
					deaths += 1
					player.reset = true
					player.i = 0
					player.ox = player.x
					player.oy = player.y
					sfx(0)
				end
			end
		end
	end
end
function _update()
	if state == "game" and player.reset == false then
		if player.sprite == 6 then
			player.sprite = 1
		end
		-- update player
		lastx = player.x
		lasty = player.y
		player.cooldown -= 1
		player.animcooldown -= 1
		if player.speed > 1 then
		player.speed -= 1
		end
		if btn(5) and player.cooldown <=0 then
			player.speed = 6
			player.cooldown = 10
			
		end
		if btn(0) then
			player.x -= player.speed
			player.f = true
		elseif btn(1) then
			player.x += player.speed
			player.f = false
		end
		if btn(2) then
			player.y -= player.speed
		elseif btn(3) then
			player.y += player.speed
		end
		if player.x != lastx or player.y != lasty then
			if player.animcooldown < 0 or player.speed != 1 then
				if player.sprite == 1 then
					player.sprite = 2
				else
					player.sprite = 1
				end
				player.animcooldown = 5
			end
		end
		if player.y < -3 then
			player.y = -3
		elseif player.y > 120 then
			player.y = 120
		end
		if player.x < 0 then
			player.x = 0
		elseif player.x > 120then
			player.x = 120
		end
		--debug
	--	if btnp(4) then
	--		player.x = 120
	--		player.y = 120
	--	end
		if player.x > 113 and player.y > 115 and player.reset == false and level != 9 then
			player.reset = true
			level += 1
			levelsetup(level)
			player.i = 0
			player.ox = player.x
			player.oy = player.y
		end
		
	end
	player.i += 1
	if player.reset then
		player.sprite = 6
		if player.i > 15 then
			player.i = 0
			player.ox = 0
			player.oy = -3
			player.reset = false
		else
			player.x = ease(15,player.i,player.ox,0)
			player.y = ease(15,player.i,player.oy,-3)
		end
	end
		--end update player
	--start boss
	if level == 9 and player.reset == false then
		saws = {}
		player.binvuln -= 1
		startboss = true
	end	
	if startboss and boss.phase == 0 then
		boss.sprite = 14
		if player.x>30 and player.y>30 then
			boss.phase = 1
			sfx(16)
			music(15)
			boss.i = 4
		end
	end
	if startboss and boss.phase == 1 then
		boss.sprite = 7
		boss.i += 1
		boss.ai -= 1
		if boss.x > player.x then
			boss.f = true
		else
			boss.f = false
		end
		if boss.i > 3 then
			boss.i = 0
			if boss.x > player.x then
				boss.x -= 1
			end
			if boss.x < player.x then
				boss.x += 1
			end
			if boss.y > player.y then
				boss.y -= 1
			end
			if boss.y < player.y then
				boss.y += 1
			end
		end
		if boss.ai < 0 then
			boss.ai = 10
			spawnbsaw(player.x,-8,0,4,140)
		end
	elseif boss.phase == 2 then
		boss.sprite = 7
		boss.i += 1
		boss.ai -= 1
		if boss.x > player.x then
			boss.f = true
		else
			boss.f = false
		end
		if boss.i > 3 then
			boss.i = 0
			if boss.x > player.x then
				boss.x -= 1
			end
			if boss.x < player.x then
				boss.x += 1
			end
			if boss.y > player.y then
				boss.y -= 1
			end
			if boss.y < player.y then
				boss.y += 1
			end
		end
		if boss.ai < 0 then
			boss.ai = 15
			spawnbsaw(player.x-128,player.y-128,3,3,240)
			spawnbsaw(player.x+128,player.y-128,-3,3,240)
		end
	elseif boss.phase == 3 then
		boss.sprite = 7
		boss.i += 1
		boss.ai -= 1
		if boss.x > player.x then
			boss.f = true
		else
			boss.f = false
		end
		if boss.i > 2 then
			boss.i = 0
			if boss.x > player.x then
				boss.x -= 1
			end
			if boss.x < player.x then
				boss.x += 1
			end
			if boss.y > player.y then
				boss.y -= 1
			end
			if boss.y < player.y then
				boss.y += 1
			end
		end
		if boss.ai < 0 then
			boss.ai = 15
			spawnbsaw(player.x-128,player.y-128,3,3,240)
			spawnbsaw(player.x+128,player.y-128,-3,3,240)
			spawnbsaw(player.x,player.y+128,0,-4,140)
		end
	elseif boss.phase == 4 then
		boss.sprite = 7
		boss.i += 1
		boss.ai -= 1
		if boss.x > player.x then
			boss.f = true
		else
			boss.f = false
		end
		if boss.i > 2 then
			boss.i = 0
			if boss.x > player.x then
				boss.x -= 1
			end
			if boss.x < player.x then
				boss.x += 1
			end
			if boss.y > player.y then
				boss.y -= 1
			end
			if boss.y < player.y then
				boss.y += 1
			end
		end
		if boss.ai < 0 then
			boss.ai = 15
			spawnbsaw(player.x-128,player.y-128,3,3,240)
			spawnbsaw(player.x+128,player.y-128,-3,3,240)
			spawnbsaw(player.x-128,player.y+128,3,-3,240)
			spawnbsaw(player.x+128,player.y+128,-3,-3,240)
		end
	end
	bosscollide()
	foreach(bsaws,updatebsaw)
	foreach(bsaws,bcollide)
	if player.x > 113 and player.y > 115 and player.reset == false and level == 9 and boss.phase != 5 then
		if boss.hp > 1 then 
			player.reset = true
			player.i = 0
			player.ox = player.x
			player.oy = player.y
			player.binvuln = 15
		else
			player.binvuln = 100
			player.x -= 5
			player.y -= 5
		end
		projectile.i = 0
		projectile.ox = 120
		projectile.oy = 120
		projectile.active = true
 end
	projectile.i += 1
	if projectile.active then
		if projectile.i > 15 then
			sfx(16,3)
			projectile.i = 0
			projectile.ox = projectile.x
			projectile.oy = projectile.y
			projectile.active = false
			boss.hp -= 1
		else
			projectile.x = ease(15,projectile.i,projectile.ox,boss.x)
			projectile.y = ease(15,projectile.i,projectile.oy,boss.y)
		end
	elseif projectile.x != 120 and projectile.y != 120 then
		if projectile.i > 10 then
			projectile.i = 0
			projectile.x = 120
			projectile.y = 120
			projectile.ox = 120
			projectile.oy = 120
		else
			projectile.x = ease(10,projectile.i,projectile.ox,120)
			projectile.y = ease(10,projectile.i,projectile.oy,120)
		end
	end
	if boss.hp == 8 and boss.phase == 1 then
		boss.phase = 2
		sfx(22,3)
	elseif boss.hp == 5 and boss.phase == 2 then
		boss.phase = 3
		sfx(23,3)
	elseif boss.hp == 2 and boss.phase == 3 then
		boss.phase = 4
		sfx(24,3)
	elseif boss.hp == 0 and boss.phase == 4 then
		bossfinishtime = time()
		if boss.y < 42 then
			boss.y = 42
		end
		if boss.y > 110 then
			boss.y = 110
		end
		boss.phase = 5
		boss.sprite = 13
		projectile.visible = false
		showtime = true
		music(22)
		
	end
	--end boss
	foreach(saws,updatesaw)
	--collision (this gonna suck)
	foreach(saws,collide)

	--misc
	if state == "ld" and time() > 3 then
		state = "ldtitle"
	elseif state == "ldtitle" and time() > 5 then
		state = "title"
	end
	if state == "title" and btnp(5) then
		state = "game"
		player.cooldown = 20
		starttime = time()
	end

		
end
function _draw()
	cls(0)

	
	if level != 9 then 
		spr(5,120,120)
	end
	if level == 9 then
		spr(boss.sprite,boss.x,boss.y,1,1,boss.f)
		foreach(bsaws,drawbsaw)
		if projectile.visible then
		 spr(10,projectile.x,projectile.y)
		end
	end	
	spr(player.sprite,player.x,player.y,1,1,player.f)
	foreach(saws,drawsaw)
	if state == "title" then
		titlei += 0.01
		sspr(0,8,113,16,8,52-sin(titlei)*2.25,113,20+sin(titlei)*4.5)
		print("a game by dps2004",32,80,8)
		print("press ❎ to start",32,88,8)
	end
	if state == "ld" then
		spr(48,0,52,16,2)
	end
	if level == 0 and state == "game" and player.y < 60 then
		print("press ⬅️⬆️⬇️➡️ to move",0,96,8)
		print("press ❎ to dash",0,104,8)
		print("you are invincible while dashing",0,112,8)
		print("touch the flag to win      -->",0,120,8)
	end
	if level == 1 and state == "game" and player.y < 70 then
		print("touching saws will kill you",0,80,8)
		-- no shit sherlock
	end
	if showtime then
		if time() - bossfinishtime > 3 then
			ftime = bossfinishtime - starttime
			print("time: "..ftime.." seconds",0,0,8)
		end
		if time() - bossfinishtime > 5 then
			if deaths == 0 then
				blurb = ". perfect!"
			else
				blurb = "."
			end
			print("# of deaths: "..deaths..blurb,0,16,8)
		end
		if time() - bossfinishtime > 9  then
			print("thank you for playing.",0,32,8)
			print("game made by dps2004",0,120,8)
		end
	end
end
__gfx__
00000000000000000000000007070700080808000007770000888800000000000808080088888888007777000000000000000000000000000000000000000000
00000000000000000000000007777777088888880070070008000080000000000888888880000008078888700000000000000000000000000000000000000000
00700700000000000000000077777770887777800700070087000707000000008888888080800808788888870000000000000000000000000000000000000000
00077000070007070700070707700777087007887000070087000777000008080888788880000008788778870000000000000000000000000000080800000000
00077000070007770700077777700770887007807777770080777777880007878887888080000008788778870000080800000000000000008800088800000000
00700700007777770077777707777777087777880000070080777708008888880888888880800808788888878888878700800808000008080088888800000000
00000000007777000077770077777770888888800000070008700780008888008888888080000008078888700088888808888787088888880088880000000000
00000000007007000700007000707070008080800707070700888800008008000080808088888888007777000080080080888888888888880080080000000000
08888000000000000000000000000000000000000000000888000000000000000000000000000000000000000000000000000000000000000000000000000000
87777800000880000000000088800000000000000000008777800000000000000000000000000000000000000000000000000000000000000000000000000000
87777780008778000000000877788800000000000000087777780000000000088000000000000000000000000000000000000000000000000000000000000000
87787788008778000000000877777780888888888800877787780000008800877800008880000000000000777000000007700077777777700000000000000000
87787777808778000000000088777788777777777780877808800000087780877780087778000000000077777000000077700077777777770000000000000000
87788777808778000000880008777808777777777780877800000000877780087780087778088000000077700000000777700000000770777000000000000000
87788877808778000008778008778000888888877800877788000000877778087778877778877800000777000000000777700000007770077000000000000000
87777777808777800008778087778000000008777800087777800000877778008778877778777800000770000000000777770000007700000000000000000000
87777778800877800008778877780000000087778000008777780008777777808778877778778000000777000000007770770000007700000000000000000000
87788777788877800008778777800000000087780000000887778008778877808778777777778000000077000000007700770000007700000000000000000000
87788877777877780087778778000000000877780000000008778008778877808778778777780000000077000000007777777000007700000000000000000000
87788888777887780087788778000000000877800000000088778087777777788777778877780000000077700000077777777000077700000000000000000000
87788887778087778877788777888888800877888888008877778087777777780877780877800000000007777000077000077000077000000000000000000000
87777777780008777777800877777777780877777777887777780877788887780877780088000000000000777700077000077000077000000000000000000000
08777777800008777778000087777777780877777777887778800877800087780877800000000000000000007700077000077000077000000000000000000000
00888888000000888880000008888888800088888888008880000088000008800088000000000000000000000000000000000000000000000000000000000000
88888000000000000000000000000000008888800000000000000000000000000000000000000099999999990000000000000000000000000000000000000000
88888000000000000000000000000000008888800000000000000000000000000000000000000099999999999000000000000000000000000000000000000000
88888000000088888800888880000088888888808888880088888800000888800008888000000099999999999900000099990000000000000000000999900000
88888000000088888800888880008888888888808888880088888800088888888888888880000099999999999900009999999900000009999900099999999000
88888000000088888800888880088888888888808888880088888800888888888888888888000099999999999990099999999990000099999900999999999900
88888000000088888800888880088888888888808888880088888800888888888888888888800099999999999990999999999999000999999909999999999990
88888000000088888800888880888888888888808888880088888800888888888888888888800099999009999990999999999999009999999909999999999990
88888000000088888800888880888888088888808888880088888808888888888888888888800099999009999990999999999999099999999909999999999999
88888000000088888800888880888880008888808888880088888808888880888888088888800099999009999990999990099999099999990099999900999999
88888888888088888808888880888888088888808888880088888808888880888888088888800099999999999990999990099999099999990099999900999999
88888888888088888888888880888888888888800888888888888808888880888888088888800099999999999990999999999999099999990009999999900000
88888888888008888888888880888888888888000888888888888008888880888888088888800099999999999900999999999999099999990009999999990000
88888888888008888888888800088888888888000888888888888008888880888888088888800099999999999900099999999999099999990000999999999000
08888888888000888888888800008888888880000088888888880008888880888888088888800099999999999000009999999999099999990000099999999900
00888888888000088888888000000888888800000008888888800008888880888888088888800099999999900000000999999999099999990000009999999990
00000000000000000888000000000008880000000000088880000000000000000000000000000000000000000000000000000000000000000000000000000000
77000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
77000000000000000770000077077000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
77000000000000000770000077077000000000000000770000077088000008800000000000000000000000000000000000000000000000000000000000000000
77000000000000000777000777077000000000000000770000077088000008800000000000000000000000000000000000000000000000000000000000000000
77000000000000000777777777077000000000000000777000777088800088800000000000000000000000000000000000000000000000000000000000000000
77700000000000000777777777077700000000000000777777777088888888800000000000000000000008800000880000000000000000000000000000000000
07700000000000000770077007077700000000000000777777777088888888800000000000000000000008800000880000000000000000000000000000000000
07770000000000000770077007007770000000000000770077007087788778800000000000000888880008880008880000000000000000000000000000000000
00777777777777777777777777007777777777777777770077007087788778800000000000008888888808888888880000000000000088888000000000000000
00777777777777777777777777000777777777777777777777777088888888888888888888888880088808888888880000000000000888888880000000000000
00777777777777777777777770000777777777777777777777777088888888888888888888888800000008888888888888888888888888008880000000000000
00777777777777777777777770000777777777777777777777770008888888888888888888888800000008888888888888888888888880000000000000000000
00777777777777777777770000000777777777777777777777770008888888888888888888888800000008888888888888888888888880000000000000000000
00777777777777777777770000000777777777777777777770000000008888888888888888888800000008888888888888888888888880000000000000000000
00777777777777777777770000000777777777777777777770000000008888888888888888888800000000888888888888888888888880000000000000000000
00777777777777777777700000000777777777777777777700000000008888888888888888888800000000888888888888888888888880000000000000000000
00077777777777777777700000000077777777777777777700000000000888888888888888888800000000000888888888888888888880000000000000000000
00077777777777777007700000000077777777777777007700000000000888888888888888888000000000000088888888888888888880000000000000000000
00077000077000077007770000000077000077000077077000000000000880088888888888888000000000000088888888888888888800000000000000000000
00077000077000077000770000000077700077000077077000000000008880088000088000088000000000000088008888888888888800000000000000000000
00077000077000077000770000000077700777000077077000000000008800088000088000088000000000000888008800008800008800000000000000000000
00077000077700077000770000000000770770000000077000000000008800088000088000088000000000000880008800008800008800000000000000000000
00077000007700077000000000000000770000000000077000000000008800088000888000088000000000000880008800088800008800000000000000000000
00000000000000000000000000000000000000000000000000000000008800088000880000088000000000000880008800088000008800000000000000000000
__label__
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
07000707000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
07000777000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00777777000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00777700000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00700700000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000088880000000000000000000000000000000000000000008880000000000000000000000000000000000000000000000000000000000000000000000
00000000877778000008800000000000888000000000000000000087778000000000000000000000000000000000000000000000000000000000000000000000
00000000877777800087780000000008777888000000000000000877777800000000000880000000000000000000000000000000000000000000000000000000
00000000877877880087780000000008777777808888888888008777877800000088008778000088800000000000007770000000077000777777777000000000
00000000877877778087780000000000887777887777777777808778088000000877808777800877780000000000777770000000777000777777777700000000
00000000877887778087780000008800087778087777777777808778000000008777800877800877780880000000777000000007777000000007707770000000
00000000877888778087780000087780087780008888888778008777880000008777780877788777788778000007770000000007777000000077700770000000
00000000877777778087778000087780877780000000087778000877778000008777780087788777787778000007700000000007777700000077000000000000
00000000877777788008778000087788777800000000877780000087777800087777778087788777787780000007770000000077707700000077000000000000
00000000877887777888778000087787778000000000877800000008877780087788778087787777777780000000770000000077007700000077000000000000
00000000877888777778777800877787780000000008777800000000087780087788778087787787777800000000770000000077777770000077000000000000
00000000877888887778877800877887780000000008778000000000887780877777777887777788777800000000777000000777777770000777000000000000
00000000877888877780877788777887778888888008778888880088777780877777777808777808778000000000077770000770000770000770000000000000
00000000877777777800087777778008777777777808777777778877777808777888877808777800880000000000007777000770000770000770000000000000
00000000087777778000087777780000877777777808777777778877788008778000877808778000000000000000000077000770000770000770000000000000
00000000008888880000008888800000088888888000888888880088800000880000088000880000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000888000000880888088808880000088808080000088008880088088808880888080800000000000000000000000000000
00000000000000000000000000000000808000008000808088808000000080808080000080808080800000808080808080800000000000000000000000000000
00000000000000000000000000000000888000008000888080808800000088008880000080808880888088808080808088800000000000000000000000000000
00000000000000000000000000000000808000008080808080808000000080800080000080808000008080008080808000800000000000000000000000000000
00000000000000000000000000000000808000008880808080808880000088808880000088808000880088808880888000800000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000888088808880088008800000088888000000888008800000088088808880888088800000000000000000000000000000
00000000000000000000000000000000808080808000800080000000880808800000080080800000800008008080808008000000000000000000000000000000
00000000000000000000000000000000888088008800888088800000888088800000080080800000888008008880880008000000000000000000000000000000
00000000000000000000000000000000800080808000008000800000880808800000080080800000008008008080808008000000000000000000000000000000
00000000000000000000000000000000800080808880880088000000088888000000080088000000880008008080808008000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000077700
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000700700
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000007000700
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000070000700
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000077777700
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000700
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000700
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000007070707

__sfx__
000100002445021450184501e4501c4501a4501745015450124500f4500c4500c45012450104500a4500545001450004500040000400004000040000400004000040000400004000040000400004000040000400
000500000162001620016200162001620016200162001620016200162001620016200162001620016200162001620016200162001620016200162001620016200162001620016200162001620016200162001620
000100002e15031150331503315032150301502a15000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
010a00000c575005000e575005000f575005000e575005000c575005000e575005000f575005000e575005000c5700e5700f5700e5700c5700e5700f5700e5700c570005000e570005000f570005000e57000500
010a00000f575005001157500500135750050011575005000f575005001157500500135750050011575005000f5701157013570115700f5701157013570115700f57000500115700050013570005001157000500
010a00001357500500145750050016575005001457500500135750050014575005001657500500145750050013570145701657014570135701457016570145701357000500145700050016570005001457000500
010a000016570135001457014500135701350011570145000f570165000e570145000c570135000e570165000f570135001157016500135701350011570145000f570165000e570145000c570000000b57000000
000a00000c635000050c6350000524635000050c635000050c635000050c6350000524635000050c635000050c635000050c6350000524635000050c6350000524635000050c6350000024635000000c63500000
010a00000022000220002200022000220002200022000220002200022000220002200022000220002200022000220002200022000220002200022000220002200022000220002200022000220002200022000220
010a00000722007220072200722007220072200722007220072200722007220072200722007220072200722007220072200722007220072200722007220072200722007220072200722007220072200722007220
010a00000322003220032200322003220032200322003220032200322003220032200322003220032200322003220032200322003220032200322003220032200322003220032200322003220032200322003220
010a00000222002220022200222002220022200222002220022200222002220022200222002220022200222007220072200722007220072200722007220072200722007220072200722007220072200722007220
010a0000246350c0050c63524005246350c0050c6350c005246350c005246350c0052463524005246350c005246350c0050c63524005246350c0050c635240052463524005246352400024635240002463500000
010a00000c2300020000220002000c2300e200002200e2000c230002000e230002000f2300e2000e2300e2000c2300020000220002000c2300e200002200e2000c230002000e230002000f230002000e23000000
010a00000f2300020003220002000f2300e200032200e2000f230002001123000200132300e200112300e2000f2300020003220002000f2300e200032200e2000f23000200112300020013230002001123000000
010a00001323000200072200c2001323002200072200e20013230002001423000200162300e200142300e2001323000200072200c2001323002200072200e2001323000200142300020016230002001423000000
000100000f256162561725618256182561a2561d256202562425626256282562b2562e256332563625639256392563925639256392563925639256392563725634256312562a256242561d2560f2560925606256
011000000c1750e1750f1750e1750c1750e1750f1750e1750c1750e1750f1750e1750c1750e1750f1750e1750c1750e1750f1750e1750c1750e1750f1750e1750c1750e1750f1750e1750c1750e1750f1750e175
011000000c2300c2300c2300c230132301323013230132300f2300f2300f2300f2300e2300e2300e2300e2300c2300c2300f2300f2300e2300e2300c2300c2300f2300f230112301123013230132301123011230
011000000f2300f2301123011230132301323011230112300f2300f2300e2300e2300f2300f2300e2300e2300c2300c2300e2300e2300f2300f2300e2300e2300c2300c23007230072300f2300f2300e2300e230
011000000c3300e3300f3300e3300c3300e3300f3300e3300f3301133013330113300f3301133013330113301333014330163301433013330143301633014330163301433013330113300f3300e3300c3300e330
011000000c6551860518655186050c6550000518655000050c6550000518655000050c6550000518655000050c6550000518655000050c6550000518655000050c6550000518655000050c655000051865500005
0002000006256092560a2560d2560f256122561425616256192561725617256192561b2561d2561f266202662127621276212762227622276202761d2661a2561725614256102560e2560c2460a2360822606216
00020000012560325606256072560a2560b2560c2560c2560d2560e2560f2560f2560f256102560f2660f2660f27610276102761027610276102760e2660d2560b2560a256082560625605246042360322601216
00020000012560325606256122761b2760b2760c2560c256072560e2560f2560f25622256222760f2760f26614276102761027615276092760827602266082560b2560a256082560a2561c246042760322601216
000200002425603256212561a2761b2760b2760d2562325607256252560f2560f25622256222760f2760f266142761d2761727615276092762827602266082560b2560a256182560b2561c24604276172261e216
000200000d25603256102560e27608276262760d2560e25607256182560f2560f25622256192760f27635266142761d2760d27626276092761327602266082562b2560a256212561d2561e246252761e2261e216
000200002125603256102560e276082761d2761d2562d25621256182560825621256312560e27625276212660d2762127619276232762527605276022660825619256262561b256232561b2461c2761222608216
0002000009256132561025626276082762b276222561e25621256182560825621256062560e27639276212660d2760e276192762327625276052762e2660a256192562625606256062561b24606276172260d216
0001000017650256502d6503165030650256501965014650126301263015650186501965016650156501565014650116500962000610000000000000000000000000000000000000000000000000000000000000
0003000017650256502d6503f65024650256501b650196501163011630126500e6500665001650016000060000600006000160000600000000000000000000000000000000000000000000000000000000000000
__music__
00 43074344
00 44074344
01 03074344
00 04074344
00 05074344
00 06074344
00 03070844
00 04070944
00 05070a44
00 06070b44
00 030c0d44
00 040c0e44
00 050c0f44
02 060c4644
03 01424344
00 11424344
01 11124a44
00 11134344
00 11121544
00 11131544
00 14121544
02 14131544
00 191d4344
00 1a1d4344
00 1b1d4344
00 1c1d4344
00 011e4344
03 01424344

